aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/skqp/make_known_tests.sh
diff options
context:
space:
mode:
authorGravatar Hal Canary <halcanary@google.com>2018-01-22 16:51:55 -0500
committerGravatar Skia Commit-Bot <skia-commit-bot@chromium.org>2018-01-22 22:28:06 +0000
commit4080305f57e6d4e03ddff81ac465094805f93b0e (patch)
treea6d0cf252965660d7285c552580ee26ca628633d /tools/skqp/make_known_tests.sh
parent48661b868fbbf7a6193ef49bb6a05a0df61e7c45 (diff)
SkQP: add some scripts for admin
Change-Id: Idfba4c3e91eb048792ab395d4ab2e4a98ed8888c Reviewed-on: https://skia-review.googlesource.com/98323 Reviewed-by: Hal Canary <halcanary@google.com> Commit-Queue: Hal Canary <halcanary@google.com>
Diffstat (limited to 'tools/skqp/make_known_tests.sh')
-rwxr-xr-xtools/skqp/make_known_tests.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/skqp/make_known_tests.sh b/tools/skqp/make_known_tests.sh
new file mode 100755
index 0000000000..fd1e8798c1
--- /dev/null
+++ b/tools/skqp/make_known_tests.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+# Copyright 2018 Google Inc.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e -x
+
+tools/git-sync-deps
+bin/bn gen out/default
+ninja -C out/default list_gms list_gpu_unit_tests
+out/default/list_gms > \
+ platform_tools/android/apps/skqp/src/main/assets/skqp/KnownGMs.txt
+out/default/list_gpu_unit_tests > \
+ platform_tools/android/apps/skqp/src/main/assets/skqp/KnownGpuUnitTests.txt
+git add \
+ platform_tools/android/apps/skqp/src/main/assets/skqp/KnownGMs.txt \
+ platform_tools/android/apps/skqp/src/main/assets/skqp/KnownGpuUnitTests.txt
+